#ifndef __OOL_XCIRCSLIDER_H__
#define __OOL_XCIRCSLIDER_H__

/*===========================================================================*/
/* OOL ------------------- the Open Object Library ------ OS/2 version 0.01a */
/*===========================================================================*/
/*                              class: XCircularSlider                       */
/*                       derived from: XControl                              */
/*                        last update: 4/96                                  */
/*                      programmed by: Stefan von Brauk                      */
/*===========================================================================*/



#include "xcontrol.h"

class _export_ XCircularSlider: public XControl{
      friend class XFrameWindow;
   private:
      XCircularSlider(HWND hwnd);
   public:
      XCircularSlider( XWindow * owner, XRect * rec, USHORT id = 0, ULONG style=WIN_VISIBLE);
      virtual ~XCircularSlider() {;}
      SHORT GetValue( void );
      BOOL SetIncrements( SHORT ticks, SHORT steps);
      BOOL SetLimits( LONG lowerLimit=0, LONG upperLimit=100);
      BOOL SetValue( LONG val);
};


#endif
